## org.gnu.gtk.event
Class ContainerEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ContainerEvent

All Implemented Interfaces:
  java.io.Serializable

public class ContainerEvent
extends GtkEvent

See Also:
  `ContainerListener`, Serialized Form

Nested Class Summary
`static class` `ContainerEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ContainerEvent(java.lang.Object source, ContainerEvent.Type type)` Construct a ContainerEvent object.
`ContainerEvent(java.lang.Object source, ContainerEvent.Type type, Widget child)` Construct a ContainerEvent object with a specified child.

Method Summary
`Widget` `getChild()` Return the child widget associated with this ContainerEvent, or null if no child is involved.
`boolean` `isOfType(ContainerEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerEvent

    public ContainerEvent(java.lang.Object source,
                          ContainerEvent.Type type)

  Construct a ContainerEvent object.

### ContainerEvent

    public ContainerEvent(java.lang.Object source,
                          ContainerEvent.Type type,
                          Widget child)

  Construct a ContainerEvent object with a specified child.

Method Detail

### getChild

    public Widget getChild()

  Return the child widget associated with this ContainerEvent, or null if no child is involved. The CHECK_RESIZE event does not have an associated child widget.

### isOfType

    public boolean isOfType(ContainerEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.